clang 8.0.0

Public Member Functions | List of all members
clang::SavedStreamPosition Struct Reference

Helper class that saves the current stream position and then restores it when destroyed. More...

`#include "clang/Serialization/ASTReader.h"`

## Public Member Functions
| SavedStreamPosition (llvm::BitstreamCursor &Cursor)
| ~SavedStreamPosition ()

## Detailed Description

Helper class that saves the current stream position and then restores it when destroyed.

Definition at line 2664 of file ASTReader.h.

## Constructor & Destructor Documentation

## ◆ SavedStreamPosition()

clang::SavedStreamPosition::SavedStreamPosition | ( | llvm::BitstreamCursor & | Cursor | ) |
| inline explicit

Definition at line 2665 of file ASTReader.h.

## ◆ ~SavedStreamPosition()

clang::SavedStreamPosition::~SavedStreamPosition | ( |  | ) |
| inline

Definition at line 2668 of file ASTReader.h.

References Offset.

The documentation for this struct was generated from the following file:

- include/clang/Serialization/ASTReader.h